// RenameDlg.cpp : implementation file
//

#include "stdafx.h"
#include "systrayplay.h"
#include "RenameDlg.h"
#include "MainHelper.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern Helper m_Helper;

/////////////////////////////////////////////////////////////////////////////
// CRenameDlg dialog


CRenameDlg::CRenameDlg(UINT id, CWnd* pParent /*=NULL*/) : CDialog(id, pParent)
{
	m_template = _T("");
}


BEGIN_MESSAGE_MAP(CRenameDlg, CDialog)
	ON_EN_CHANGE(IDC_TEMPLATE, OnChangeTemplate)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRenameDlg message handlers

void CRenameDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_TEMPLATE, m_template);
}


void CRenameDlg::OnChangeTemplate()
{
	CString buf;
	GetDlgItemText(IDC_TEMPLATE, buf);
	GetDlgItem(IDOK)->EnableWindow(buf != "" && buf.FindOneOf(_T("/\\:*?\"<>!")) < 0);
}
BOOL CRenameDlg::OnInitDialog()
{
	CDialog::OnInitDialog();
	m_Helper.translateWindowText(this, IDD_RENAME);
	m_Helper.translateDlgItemText(this, IDC_LTEMPLATE);
	m_Helper.translateDlgItemText(this, IDC_LDESCRIPTIONPOSSIBILITY);
	m_Helper.translateDlgItemText(this, IDOK);
	m_Helper.translateDlgItemText(this, IDCANCEL);

	UpdateData(FALSE);

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CRenameDlg::OnOK()
{
	UpdateData(TRUE);

	CDialog::OnOK();
}

