#ifndef VOLUME_H
#define VOLUME_H

///////////////////////////////////////////////////////////////////////////////////////////////
class CVolume
{
	// Construction
public:
	CVolume(); // type: 0 - Wave, 1 - CD
	~CVolume();

	DWORD GetCurrentVolume();
	void SetCurrentVolume(DWORD dwValue);

private:
	void Done();
	bool Initialize(int type);

private:
	// Status Info
	bool m_bAvailable;

	// Mixer Info
	UINT m_uMixerID;
	DWORD m_dwMixerHandle;

	DWORD m_dwLineID;
	DWORD m_dwVolumeControlID;
	int m_nChannelCount;

	DWORD m_dwMinimalVolume;
	DWORD m_dwMaximalVolume;
	DWORD m_dwVolumeStep;
};

typedef CVolume* PCVolume;

#endif